---
title: How to install Great Expectations locally
---

import Preface from './components_local/_preface.mdx'
import CheckPythonVersion from './components_local/_check_python_version.mdx'
import ChooseInstallationMethod from './components_local/_choose_installation_method.mdx'
import InstallGreatExpectations from './components_local/_install_great_expectations.mdx'
import VerifyGeInstallSucceeded from './components_local/_verify_ge_install_succeeded.mdx'
import NextSteps from '/docs/guides/setup/components/install_nextsteps.md'
import InstallCongratulations from '/docs/guides/setup/components/install_congrats.md'

<Preface />

## Steps

### 1. Check Python version
<CheckPythonVersion />

### 2. Choose installation method
<ChooseInstallationMethod />

### 3. Install Great Expectations
<InstallGreatExpectations />

### 4. Verify Great Expectations installation succeeded
<VerifyGeInstallSucceeded />

<InstallCongratulations />
